#!/bin/sh

DIR=/usr/local/ports+
GMAKE='gmake -s'
cd $DIR || exit 1

build()
{
	if echo " $@ " | egrep ' (-j|--jobs)' >/dev/null 2>&1; then
		$GMAKE BSDMAKE_OPTIONS='CONFIG_DONE=1' $@
	else
		$GMAKE $@
	fi
}

if [ "$#" = "1" -a "$1" = "test" ]; then
	$GMAKE test
	exit 0
elif [ "$1" = "-make-config" ]; then
	shift

	cmd='make config-conditional'
elif [ "$1" = "-make-config-recursive" -o "$1" = "-make-recursive-config" ]
then
	shift
	cmd='make config-recursive'
else
	build $@
	exit $?
fi


$GMAKE lkup.awk index.list 2>&1 > /dev/null
for opt in `echo $@ | gawk -F\| -f lkup.awk -f lib.awk \
	-vindex_list=index.list -vports_dir=/usr/ports/ -vpkg_dir=/var/db/pkg/`
do
	cd /usr/ports/$opt && $cmd
done


# ready to run.

cd $DIR
build $@
